Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoCenterballManip Class Reference
[Manipulators]

`#include <Inventor/manips/SoCenterballManip.h>`

Inheritance diagram for SoCenterballManip:

List of all members.

## Detailed Description

The SoCenterballManip wraps an SoCenterballDragger for convenience.

The manipulator class takes care of wrapping up the SoCenterballDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for it's interaction with the relevant fields of an SoTransformation node.

## Public Member Functions
| SoCenterballManip (void)
## Static Public Member Functions
void | initClass (void)
## Protected Member Functions
| ~SoCenterballManip ()
virtual void | setDragger (SoDragger *newDragger)
## Static Protected Member Functions
void | fieldSensorCB (void *f, SoSensor *s)
void | valueChangedCB (void *f, SoDragger *d)

## Constructor & Destructor Documentation

SoCenterballManip::SoCenterballManip | ( | void |  | ) |

| Default constructor. Allocates an SoCenterballDragger and an SoSurroundScale node to surround the geometry within our part of the scenegraph.

SoCenterballManip::~SoCenterballManip | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoCenterballManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

void SoCenterballManip::setDragger | ( | SoDragger * | newDragger | ) | `[protected, virtual]`

| Sets up the dragger instance to be controlled by this manipulator. Reimplemented from SoTransformManip.

void SoCenterballManip::fieldSensorCB | ( | void * | f,
|  | SoSensor * | s
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Callback to update motion matrix when a field is modified. Reimplemented from SoTransformManip.

void SoCenterballManip::valueChangedCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Callback to update field values when motion matrix changes. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoCenterballManip.h
- SoCenterballManip.cpp